## r-bioc-genomicalignments 1.30.0

=== DESCRIPTION ===
Package: GenomicAlignments
Title: Representation and manipulation of short genomic alignments
Description: Provides efficient containers for storing and manipulating
	short genomic alignments (typically obtained by aligning short reads
	to a reference genome). This includes read counting, computing the
	coverage, junction detection, and working with the nucleotide content
	of the alignments.
biocViews: Infrastructure, DataImport, Genetics, Sequencing, RNASeq,
        SNP, Coverage, Alignment, ImmunoOncology
URL: https://bioconductor.org/packages/GenomicAlignments
Video: https://www.youtube.com/watch?v=2KqBSbkfhRo ,
        https://www.youtube.com/watch?v=3PK_jx44QTs
BugReports: https://github.com/Bioconductor/GenomicAlignments/issues
Version: 1.30.0
License: Artistic-2.0
Encoding: UTF-8
Author: Hervé Pagès, Valerie Obenchain, Martin Morgan
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
        0.27.12), IRanges (>= 2.23.9), GenomeInfoDb (>= 1.13.1),
        GenomicRanges (>= 1.41.5), SummarizedExperiment (>= 1.9.13),
        Biostrings (>= 2.55.7), Rsamtools (>= 1.31.2)
Imports: methods, utils, stats, BiocGenerics, S4Vectors, IRanges,
        GenomicRanges, Biostrings, Rsamtools, BiocParallel
LinkingTo: S4Vectors, IRanges
Suggests: ShortRead, rtracklayer, BSgenome, GenomicFeatures,
        RNAseqData.HNRNPC.bam.chr14, pasillaBamSubset,
        TxDb.Hsapiens.UCSC.hg19.knownGene,
        TxDb.Dmelanogaster.UCSC.dm3.ensGene,
        BSgenome.Dmelanogaster.UCSC.dm3, BSgenome.Hsapiens.UCSC.hg19,
        DESeq2, edgeR, RUnit, BiocStyle
Collate: utils.R cigar-utils.R GAlignments-class.R
        GAlignmentPairs-class.R GAlignmentsList-class.R
        GappedReads-class.R OverlapEncodings-class.R
        findMateAlignment.R readGAlignments.R junctions-methods.R
        sequenceLayer.R pileLettersAt.R stackStringsFromGAlignments.R
        intra-range-methods.R coverage-methods.R setops-methods.R
        findOverlaps-methods.R coordinate-mapping-methods.R
        encodeOverlaps-methods.R findCompatibleOverlaps-methods.R
        summarizeOverlaps-methods.R findSpliceOverlaps-methods.R zzz.R
git_url: https://git.bioconductor.org/packages/GenomicAlignments
git_branch: RELEASE_3_14
git_last_commit: 9046119
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: yes
Packaged: 2021-10-26 21:31:35 UTC; biocbuild

=== debian/changelog ===
r-bioc-genomicalignments (1.30.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.30.0
  * d/control: Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Thu, 25 Nov 2021 16:42:27 +0530

r-bioc-genomicalignments (1.28.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * d/u/metadata: yamllint and completion
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 18:13:35 +0200

=== debian/control ===
Source: r-bioc-genomicalignments
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.37.0),
               r-bioc-s4vectors (>= 0.27.12),
               r-bioc-iranges (>= 2.23.9),
               r-bioc-genomeinfodb,
               r-bioc-genomicranges (>= 1.41.5),
               r-bioc-summarizedexperiment,
               r-bioc-biostrings (>= 2.55.7),
               r-bioc-rsamtools,
               r-bioc-biocparallel
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicalignments
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicalignments.git
Homepage: https://bioconductor.org/packages/GenomicAlignments/
Rules-Requires-Root: no

Package: r-bioc-genomicalignments
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor representation and manipulation of short genomic alignments
 This BioConductor package provides efficient containers for storing and
 manipulating short genomic alignments (typically obtained by aligning
 short reads to a reference genome). This includes read counting,
 computing the coverage, junction detection, and working with the
 nucleotide content of the alignments.

## r-bioc-genomicalignments 1.32.1

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Video: https://www.youtube.com/watch?v=2KqBSbkfhRo ,
         https://www.youtube.com/watch?v=3PK_jx44QTs
 BugReports: https://github.com/Bioconductor/GenomicAlignments/issues
-Version: 1.30.0
+Version: 1.32.1
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès, Valerie Obenchain, Martin Morgan
@@ -39,9 +39,9 @@
         encodeOverlaps-methods.R findCompatibleOverlaps-methods.R
         summarizeOverlaps-methods.R findSpliceOverlaps-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicAlignments
-git_branch: RELEASE_3_14
-git_last_commit: 9046119
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 2553580
+git_last_commit_date: 2022-07-21
+Date/Publication: 2022-07-24
 NeedsCompilation: yes
-Packaged: 2021-10-26 21:31:35 UTC; biocbuild
+Packaged: 2022-07-24 20:33:45 UTC; biocbuild

=== debian/changelog ===
r-bioc-genomicalignments (1.32.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jul 2022 07:50:04 +0200

r-bioc-genomicalignments (1.32.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 May 2022 18:44:46 +0200

## r-bioc-genomicalignments 1.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -11,11 +11,14 @@
 Video: https://www.youtube.com/watch?v=2KqBSbkfhRo ,
         https://www.youtube.com/watch?v=3PK_jx44QTs
 BugReports: https://github.com/Bioconductor/GenomicAlignments/issues
-Version: 1.32.1
+Version: 1.34.0
 License: Artistic-2.0
 Encoding: UTF-8
-Author: Hervé Pagès, Valerie Obenchain, Martin Morgan
-Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
+Authors@R: c(
+	person("Hervé", "Pagès", role=c("aut", "cre"),
+		email="hpages.on.github@gmail.com"),
+	person("Valerie", "Obenchain", role="aut"),
+	person("Martin", "Morgan", role="aut"))
 Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
         0.27.12), IRanges (>= 2.23.9), GenomeInfoDb (>= 1.13.1),
         GenomicRanges (>= 1.41.5), SummarizedExperiment (>= 1.9.13),
@@ -39,9 +42,13 @@
         encodeOverlaps-methods.R findCompatibleOverlaps-methods.R
         summarizeOverlaps-methods.R findSpliceOverlaps-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicAlignments
-git_branch: RELEASE_3_15
-git_last_commit: 2553580
-git_last_commit_date: 2022-07-21
-Date/Publication: 2022-07-24
+git_branch: RELEASE_3_16
+git_last_commit: c6eb780
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-07-24 20:33:45 UTC; biocbuild
+Packaged: 2022-11-01 21:37:53 UTC; biocbuild
+Author: Hervé Pagès [aut, cre],
+  Valerie Obenchain [aut],
+  Martin Morgan [aut]
+Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-genomicalignments (1.34.0-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 13:38:25 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                r-bioc-biostrings (>= 2.55.7),
                r-bioc-rsamtools,
                r-bioc-biocparallel
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicalignments
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicalignments.git
 Homepage: https://bioconductor.org/packages/GenomicAlignments/

## r-bioc-genomicalignments 1.36.0

=== DESCRIPTION ===
--- 
+++ 
@@ -11,14 +11,15 @@
 Video: https://www.youtube.com/watch?v=2KqBSbkfhRo ,
         https://www.youtube.com/watch?v=3PK_jx44QTs
 BugReports: https://github.com/Bioconductor/GenomicAlignments/issues
-Version: 1.34.0
+Version: 1.36.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
 	person("Hervé", "Pagès", role=c("aut", "cre"),
 		email="hpages.on.github@gmail.com"),
 	person("Valerie", "Obenchain", role="aut"),
-	person("Martin", "Morgan", role="aut"))
+	person("Martin", "Morgan", role="aut"),
+	person("Robert", "Castelo", role="ctb"))
 Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
         0.27.12), IRanges (>= 2.23.9), GenomeInfoDb (>= 1.13.1),
         GenomicRanges (>= 1.41.5), SummarizedExperiment (>= 1.9.13),
@@ -42,13 +43,14 @@
         encodeOverlaps-methods.R findCompatibleOverlaps-methods.R
         summarizeOverlaps-methods.R findSpliceOverlaps-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicAlignments
-git_branch: RELEASE_3_16
-git_last_commit: c6eb780
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: cdc1aa4
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 21:37:53 UTC; biocbuild
+Packaged: 2023-04-25 21:12:45 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Valerie Obenchain [aut],
-  Martin Morgan [aut]
+  Martin Morgan [aut],
+  Robert Castelo [ctb]
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-genomicalignments (1.36.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jul 2023 20:47:14 +0200

## r-bioc-genomicalignments 1.38.2

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Video: https://www.youtube.com/watch?v=2KqBSbkfhRo ,
         https://www.youtube.com/watch?v=3PK_jx44QTs
 BugReports: https://github.com/Bioconductor/GenomicAlignments/issues
-Version: 1.36.0
+Version: 1.38.2
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -19,6 +19,7 @@
 		email="hpages.on.github@gmail.com"),
 	person("Valerie", "Obenchain", role="aut"),
 	person("Martin", "Morgan", role="aut"),
+	person("Fedor", "Bezrukov", role="ctb"),
 	person("Robert", "Castelo", role="ctb"))
 Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
         0.27.12), IRanges (>= 2.23.9), GenomeInfoDb (>= 1.13.1),
@@ -43,14 +44,16 @@
         encodeOverlaps-methods.R findCompatibleOverlaps-methods.R
         summarizeOverlaps-methods.R findSpliceOverlaps-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/GenomicAlignments
-git_branch: RELEASE_3_17
-git_last_commit: cdc1aa4
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: d740c47
+git_last_commit_date: 2024-01-16
+Repository: Bioconductor 3.18
+Date/Publication: 2024-01-16
 NeedsCompilation: yes
-Packaged: 2023-04-25 21:12:45 UTC; biocbuild
+Packaged: 2024-01-16 22:12:46 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Valerie Obenchain [aut],
   Martin Morgan [aut],
+  Fedor Bezrukov [ctb],
   Robert Castelo [ctb]
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-genomicalignments (1.38.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2024 16:59:31 +0100

r-bioc-genomicalignments (1.38.1-1) unstable; urgency=medium

  * New upstream version
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jan 2024 11:05:00 +0100

r-bioc-genomicalignments (1.38.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 14:37:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: r-bioc-genomicalignments
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Charles Plessy <plessy@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
@@ -8,15 +9,15 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.37.0),
-               r-bioc-s4vectors (>= 0.27.12),
-               r-bioc-iranges (>= 2.23.9),
+               r-bioc-s4vectors,
+               r-bioc-iranges,
                r-bioc-genomeinfodb,
-               r-bioc-genomicranges (>= 1.41.5),
+               r-bioc-genomicranges,
                r-bioc-summarizedexperiment,
-               r-bioc-biostrings (>= 2.55.7),
+               r-bioc-biostrings,
                r-bioc-rsamtools,
                r-bioc-biocparallel
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicalignments
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicalignments.git
 Homepage: https://bioconductor.org/packages/GenomicAlignments/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/GenomicAlignments.html .*/GenomicAlignments_([\d\.]+)\.tar\.gz

## r-bioc-genomicalignments 1.40.0

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Video: https://www.youtube.com/watch?v=2KqBSbkfhRo ,
         https://www.youtube.com/watch?v=3PK_jx44QTs
 BugReports: https://github.com/Bioconductor/GenomicAlignments/issues
-Version: 1.38.2
+Version: 1.40.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -20,10 +20,13 @@
 	person("Valerie", "Obenchain", role="aut"),
 	person("Martin", "Morgan", role="aut"),
 	person("Fedor", "Bezrukov", role="ctb"),
-	person("Robert", "Castelo", role="ctb"))
+	person("Robert", "Castelo", role="ctb"),
+	person("Halimat C.", "Atanda", role="ctb",
+		comment="Translated 'WorkingWithAlignedNucleotides' vignette from Sweave to RMarkdown / HTML."
+	))
 Depends: R (>= 4.0.0), methods, BiocGenerics (>= 0.37.0), S4Vectors (>=
         0.27.12), IRanges (>= 2.23.9), GenomeInfoDb (>= 1.13.1),
-        GenomicRanges (>= 1.41.5), SummarizedExperiment (>= 1.9.13),
+        GenomicRanges (>= 1.55.3), SummarizedExperiment (>= 1.9.13),
         Biostrings (>= 2.55.7), Rsamtools (>= 1.31.2)
 Imports: methods, utils, stats, BiocGenerics, S4Vectors, IRanges,
         GenomicRanges, Biostrings, Rsamtools, BiocParallel
@@ -33,7 +36,7 @@
         TxDb.Hsapiens.UCSC.hg19.knownGene,
         TxDb.Dmelanogaster.UCSC.dm3.ensGene,
         BSgenome.Dmelanogaster.UCSC.dm3, BSgenome.Hsapiens.UCSC.hg19,
-        DESeq2, edgeR, RUnit, BiocStyle
+        DESeq2, edgeR, RUnit, knitr, BiocStyle
 Collate: utils.R cigar-utils.R GAlignments-class.R
         GAlignmentPairs-class.R GAlignmentsList-class.R
         GappedReads-class.R OverlapEncodings-class.R
@@ -43,17 +46,20 @@
         findOverlaps-methods.R coordinate-mapping-methods.R
         encodeOverlaps-methods.R findCompatibleOverlaps-methods.R
         summarizeOverlaps-methods.R findSpliceOverlaps-methods.R zzz.R
+VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/GenomicAlignments
-git_branch: RELEASE_3_18
-git_last_commit: d740c47
-git_last_commit_date: 2024-01-16
-Repository: Bioconductor 3.18
-Date/Publication: 2024-01-16
+git_branch: RELEASE_3_19
+git_last_commit: 4dbd745
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2024-01-16 22:12:46 UTC; biocbuild
+Packaged: 2024-05-01 03:54:59 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Valerie Obenchain [aut],
   Martin Morgan [aut],
   Fedor Bezrukov [ctb],
-  Robert Castelo [ctb]
+  Robert Castelo [ctb],
+  Halimat C. Atanda [ctb] (Translated 'WorkingWithAlignedNucleotides'
+    vignette from Sweave to RMarkdown / HTML.)
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-genomicalignments (1.40.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 21:25:21 +0200

r-bioc-genomicalignments (1.40.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 17:53:54 +0200

r-bioc-genomicalignments (1.40.0-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 21:41:17 +0200

=== debian/control ===
Source: r-bioc-genomicalignments
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicalignments
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicalignments.git
Homepage: https://bioconductor.org/packages/GenomicAlignments/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomeinfodb (>= 1.40.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-summarizedexperiment (>= 1.34.0),
               r-bioc-biostrings (>= 2.72.1),
               r-bioc-rsamtools (>= 2.20.0),
               r-bioc-biocparallel (>= 1.38.0),
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-genomicalignments
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-genomeinfodb (>= 1.40.1),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-summarizedexperiment (>= 1.34.0),
         r-bioc-biostrings (>= 2.72.1),
         r-bioc-rsamtools (>= 2.20.0),
         r-bioc-biocparallel (>= 1.38.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-shortread (>= 1.62.0),
          r-bioc-rtracklayer (>= 1.64.0),
          r-bioc-bsgenome (>= 1.72.0),
          r-bioc-genomicfeatures (>= 1.56.0),
          r-bioc-deseq2 (>= 1.44.0),
          r-bioc-edger (>= 4.2.0),
          r-bioc-biocstyle (>= 2.32.1)
Description: BioConductor representation and manipulation of short genomic alignments
 This BioConductor package provides efficient containers for storing and
 manipulating short genomic alignments (typically obtained by aligning
 short reads to a reference genome). This includes read counting,
 computing the coverage, junction detection, and working with the
 nucleotide content of the alignments.

## r-bioc-genomicalignments 1.42.0

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Video: https://www.youtube.com/watch?v=2KqBSbkfhRo ,
         https://www.youtube.com/watch?v=3PK_jx44QTs
 BugReports: https://github.com/Bioconductor/GenomicAlignments/issues
-Version: 1.40.0
+Version: 1.42.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -48,13 +48,13 @@
         summarizeOverlaps-methods.R findSpliceOverlaps-methods.R zzz.R
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/GenomicAlignments
-git_branch: RELEASE_3_19
-git_last_commit: 4dbd745
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 5a82c79
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 03:54:59 UTC; biocbuild
+Packaged: 2024-10-30 00:50:52 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Valerie Obenchain [aut],
   Martin Morgan [aut],

=== debian/changelog ===
r-bioc-genomicalignments (1.42.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 08:59:26 +0100

r-bioc-genomicalignments (1.42.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 11:50:39 +0100

=== debian/control ===
Source: r-bioc-genomicalignments
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.37.0),
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges (>= 1.55.3),
               r-bioc-summarizedexperiment,
               r-bioc-biostrings,
               r-bioc-rsamtools,
               r-bioc-biocparallel,
               architecture-is-64-bit
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genomicalignments
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genomicalignments.git
Homepage: https://bioconductor.org/packages/GenomicAlignments/
Rules-Requires-Root: no

Package: r-bioc-genomicalignments
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor representation and manipulation of short genomic alignments
 This BioConductor package provides efficient containers for storing and
 manipulating short genomic alignments (typically obtained by aligning
 short reads to a reference genome). This includes read counting,
 computing the coverage, junction detection, and working with the
 nucleotide content of the alignments.
